## PhoshNetworkAuthManager

PhoshNetworkAuthManager — Handles the interaction between networkmanager and the auth prompts

## Functions

PhoshNetworkAuthManager * | phosh_network_auth_manager_new ()

## Types and Values

#define | PHOSH_TYPE_NETWORK_AUTH_MANAGER
| PhoshNetworkAuthManager

## Object Hierarchy

        GObject
        ╰── PhoshNetworkAuthManager

## Description

Wi-Fi and other credentials are handled with ShellNetworkAgent which implements NMSecretAgentOld to interface with NetworkManager. When a credential for a connection are requested, a new PhoshNetworkAuthPrompt is created, which asks the user various credentials depending on the connection type and details (e.g. access point security method).

For VPN prompts the plugins auth helper is being run and the the list of secrets to request is fed to PhoshNetworkAuthPrompt.

TODO: Support more connection types

## Functions

### phosh_network_auth_manager_new ()

    PhoshNetworkAuthManager *
    phosh_network_auth_manager_new (void);

## Types and Values

### PHOSH_TYPE_NETWORK_AUTH_MANAGER

    #define PHOSH_TYPE_NETWORK_AUTH_MANAGER (phosh_network_auth_manager_get_type ())

### PhoshNetworkAuthManager

    typedef struct _PhoshNetworkAuthManager PhoshNetworkAuthManager;